#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0xab07371a, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0xe339f786, "_gpl");
SYMBOL_CRC(ahci_ops, 0xa3de78f8, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x5b118267, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x331942ad, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0xdc3763c5, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xc1b910a3, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x6ec9de03, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x0008a5a7, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xde8696c1, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x8d8602b0, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xfba98573, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x764d8e89, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x57425d03, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xe68864d1, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xaa8bb240, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x36d919d7, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x0d2ffad1, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xafde5a85, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x24ed44ff, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x50ca1a20, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x3a15cf4b, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x78534d31, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xf7a524b1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x410b3759, "ata_std_qc_defer" },
	{ 0xadbf7bac, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xb7f4511a, "__dynamic_dev_dbg" },
	{ 0x7a8bf21e, "ata_port_classify" },
	{ 0xb59f7cc1, "ata_qc_complete_multiple" },
	{ 0xe188aa92, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x5aec488c, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xab345315, "ata_host_start" },
	{ 0x4f4808c6, "devm_request_threaded_irq" },
	{ 0x20557481, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7e51551d, "ata_host_register" },
	{ 0x833b6eac, "ata_host_activate" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0x716495d4, "ata_dummy_port_ops" },
	{ 0x6130aaed, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x4c8380c2, "devm_kmalloc" },
	{ 0xdc022e6c, "dmam_alloc_attrs" },
	{ 0x4cf2453b, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x6815dbd5, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x7535304b, "sata_link_hardreset" },
	{ 0x57d17ede, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7bd6717e, "ata_ehi_clear_desc" },
	{ 0x4daa8229, "ata_ehi_push_desc" },
	{ 0xef202beb, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc1b6dcba, "ata_port_abort" },
	{ 0xad241a3d, "sata_lpm_ignore_phy_events" },
	{ 0x571f9fcd, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x92e11b0d, "param_ops_int" },
	{ 0x149c480f, "param_ops_bool" },
	{ 0xfa93adac, "sata_pmp_port_ops" },
	{ 0x195e88eb, "dev_attr_sw_activity" },
	{ 0xe5dd93e1, "dev_attr_unload_heads" },
	{ 0xd07e16ef, "dev_attr_ncq_prio_supported" },
	{ 0xcc41fcf2, "dev_attr_ncq_prio_enable" },
	{ 0xcc295552, "dev_attr_link_power_management_policy" },
	{ 0x14623b21, "dev_attr_em_message_type" },
	{ 0xce0fe2bb, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb96083f8, "__pm_runtime_resume" },
	{ 0x72b04e55, "__pm_runtime_idle" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79ea4a65, "ata_link_next" },
	{ 0xcd5b175a, "ata_wait_register" },
	{ 0xab4528e, "ata_dev_set_feature" },
	{ 0x9aae418, "_dev_info" },
	{ 0xc6549e8c, "sata_link_scr_lpm" },
	{ 0xa8ca071b, "ata_msleep" },
	{ 0xab8c3fd7, "_dev_err" },
	{ 0x52ec644f, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "8DB59F85651914E62049B39");
MODULE_INFO(rhelversion, "9.7");
