#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipmi_addr_src_to_str, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_register, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_unregister, "", "");
KSYMTAB_FUNC(ipmi_validate_addr, "", "");
KSYMTAB_FUNC(ipmi_addr_length, "", "");
KSYMTAB_FUNC(ipmi_create_user, "", "");
KSYMTAB_FUNC(ipmi_get_smi_info, "", "");
KSYMTAB_FUNC(ipmi_destroy_user, "", "");
KSYMTAB_FUNC(ipmi_get_version, "", "");
KSYMTAB_FUNC(ipmi_set_my_address, "", "");
KSYMTAB_FUNC(ipmi_get_my_address, "", "");
KSYMTAB_FUNC(ipmi_set_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_gets_events, "", "");
KSYMTAB_FUNC(ipmi_register_for_cmd, "", "");
KSYMTAB_FUNC(ipmi_unregister_for_cmd, "", "");
KSYMTAB_FUNC(ipmb_checksum, "", "");
KSYMTAB_FUNC(ipmi_request_settime, "", "");
KSYMTAB_FUNC(ipmi_request_supply_msgs, "", "");
KSYMTAB_FUNC(ipmi_poll_interface, "", "");
KSYMTAB_FUNC(ipmi_add_smi, "", "");
KSYMTAB_FUNC(ipmi_unregister_smi, "", "");
KSYMTAB_FUNC(ipmi_smi_msg_received, "", "");
KSYMTAB_FUNC(ipmi_smi_watchdog_pretimeout, "", "");
KSYMTAB_FUNC(ipmi_alloc_smi_msg, "", "");
KSYMTAB_FUNC(ipmi_free_recv_msg, "", "");

SYMBOL_CRC(ipmi_addr_src_to_str, 0x67369b42, "");
SYMBOL_CRC(ipmi_smi_watcher_register, 0x3a2da605, "");
SYMBOL_CRC(ipmi_smi_watcher_unregister, 0xf0f7f577, "");
SYMBOL_CRC(ipmi_validate_addr, 0xe4f4665b, "");
SYMBOL_CRC(ipmi_addr_length, 0x804f922a, "");
SYMBOL_CRC(ipmi_create_user, 0x2996a733, "");
SYMBOL_CRC(ipmi_get_smi_info, 0x2e48335c, "");
SYMBOL_CRC(ipmi_destroy_user, 0x5c08065d, "");
SYMBOL_CRC(ipmi_get_version, 0x89a5279a, "");
SYMBOL_CRC(ipmi_set_my_address, 0xfaaa4831, "");
SYMBOL_CRC(ipmi_get_my_address, 0xec1c2a90, "");
SYMBOL_CRC(ipmi_set_my_LUN, 0x03bc993e, "");
SYMBOL_CRC(ipmi_get_my_LUN, 0x74778a80, "");
SYMBOL_CRC(ipmi_get_maintenance_mode, 0xfe0f2369, "");
SYMBOL_CRC(ipmi_set_maintenance_mode, 0x12dd1e77, "");
SYMBOL_CRC(ipmi_set_gets_events, 0x50f65edf, "");
SYMBOL_CRC(ipmi_register_for_cmd, 0x0705dd14, "");
SYMBOL_CRC(ipmi_unregister_for_cmd, 0xd54a5050, "");
SYMBOL_CRC(ipmb_checksum, 0xe98c507d, "");
SYMBOL_CRC(ipmi_request_settime, 0x4c2054d7, "");
SYMBOL_CRC(ipmi_request_supply_msgs, 0x06d4534c, "");
SYMBOL_CRC(ipmi_poll_interface, 0xf5531bea, "");
SYMBOL_CRC(ipmi_add_smi, 0x4a4cc168, "");
SYMBOL_CRC(ipmi_unregister_smi, 0xe4330a39, "");
SYMBOL_CRC(ipmi_smi_msg_received, 0xef748acf, "");
SYMBOL_CRC(ipmi_smi_watchdog_pretimeout, 0x230094ac, "");
SYMBOL_CRC(ipmi_alloc_smi_msg, 0xa3433016, "");
SYMBOL_CRC(ipmi_free_recv_msg, 0x56fafb75, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9aae418, "_dev_info" },
	{ 0x5904c554, "sysfs_create_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xab8c3fd7, "_dev_err" },
	{ 0x59795bb1, "sysfs_remove_link" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc9e513b2, "try_module_get" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24a76e94, "synchronize_srcu" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2733135e, "module_put" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xddab7b7b, "prepare_to_wait_event" },
	{ 0x237d5b5e, "finish_wait" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x6e96b43f, "__init_waitqueue_head" },
	{ 0x8bf90d1, "device_create_file" },
	{ 0x21614446, "device_remove_file" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x4e21298e, "rt_spin_trylock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1fb9e90b, "platform_bus_type" },
	{ 0x60eeae2f, "param_ops_uint" },
	{ 0x9c080bc3, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x77bc13a0, "strim" },
	{ 0x81188c30, "match_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x37a0cba, "kfree" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb7f4511a, "__dynamic_dev_dbg" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf75722af, "cleanup_srcu_struct" },
	{ 0x999e8297, "vfree" },
	{ 0x3c11e656, "__wake_up" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7ae2a78f, "platform_device_unregister" },
	{ 0x8c86081b, "ida_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x620d80f8, "panic_notifier_list" },
	{ 0xc3fa9580, "atomic_notifier_chain_unregister" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x92997ed8, "_printk" },
	{ 0x33154132, "driver_unregister" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xa48a97, "driver_register" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x8e047102, "init_srcu_struct" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xddd09de5, "atomic_notifier_chain_register" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xfb9c4940, "__srcu_read_lock" },
	{ 0xe84c4ffd, "__srcu_read_unlock" },
	{ 0x7676bece, "driver_find_device" },
	{ 0xc93202fa, "put_device" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0x97068a9f, "platform_device_register" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1BA464DEEE61E54098DC637");
MODULE_INFO(rhelversion, "9.7");
