#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0xcb77e59b, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0xb307f82e, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0xa2fade9c, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0x21f846f0, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0x25390e82, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0xfc7d7c6d, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x759ff317, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x8cde1e14, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x3be974b8, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0xb4adb85f, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0xeaad8db5, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x39e75737, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x9fdf1f92, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x5f766dda, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x703823eb, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0xf6756f4d, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0xe8a2ffa6, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0xb663b0ab, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x3adfe629, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x8dbfa0fe, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x655777c9, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0xc698a225, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x4c40ee44, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0xe142ecfa, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0xfe7a2a32, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x14c7a415, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x2fdbb107, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0xf3baa326, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x1b1bda50, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0xe1f68c5d, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x28307f87, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x32fa6b57, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0xb3929c9e, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0xcb4f7aca, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x8c576223, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x8b683c06, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0xe7b00e14, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x32a751c2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95d47f2b, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cf2453b, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5ecdb17, "drm_exec_prepare_array" },
	{ 0xed5cdaef, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0xd0be73a, "drm_gem_private_object_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xfd34b34b, "drm_exec_prepare_obj" },
	{ 0x84399eea, "drm_exec_lock_obj" },
	{ 0x47e266c7, "drm_exec_init" },
	{ 0x31839df3, "drm_exec_cleanup" },
	{ 0xfa6bffa5, "drm_exec_fini" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");
MODULE_INFO(rhelversion, "9.7");
