#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_sched_tdr_queue_imm, "", "");
KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_ready, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_stop, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_start, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_tdr_queue_imm, 0xdaba2de1, "");
SYMBOL_CRC(drm_sched_fault, 0x44d214ea, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0x6bc23f59, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x3647cafe, "");
SYMBOL_CRC(drm_sched_stop, 0x68afb250, "");
SYMBOL_CRC(drm_sched_start, 0xa300f8e3, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0xe679a0a4, "");
SYMBOL_CRC(drm_sched_job_init, 0x029e3100, "");
SYMBOL_CRC(drm_sched_job_arm, 0x51543e02, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x9dbbc18f, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x5a730130, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0xfd436648, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x19444643, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0xde1ed691, "");
SYMBOL_CRC(drm_sched_pick_best, 0x3360ddad, "");
SYMBOL_CRC(drm_sched_init, 0x58800919, "");
SYMBOL_CRC(drm_sched_fini, 0x3853b0d4, "");
SYMBOL_CRC(drm_sched_increase_karma, 0x426ef7b9, "");
SYMBOL_CRC(drm_sched_wqueue_ready, 0x646e67ca, "");
SYMBOL_CRC(drm_sched_wqueue_stop, 0x9ad0e622, "");
SYMBOL_CRC(drm_sched_wqueue_start, 0xf3a9fa03, "");
SYMBOL_CRC(to_drm_sched_fence, 0x151c99dc, "");
SYMBOL_CRC(drm_sched_entity_init, 0x52b16410, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x955be5b9, "");
SYMBOL_CRC(drm_sched_entity_error, 0x17c8e454, "");
SYMBOL_CRC(drm_sched_entity_flush, 0x6f80a92d, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x2ceba522, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x6f90f696, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0xe7656e4a, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0x2da55cd7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4300af7f, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a81b30e, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x237d5b5e, "finish_wait" },
	{ 0xaf4ec24a, "trace_event_printf" },
	{ 0xfc5b10a, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xe72ed1d9, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9e352024, "bpf_trace_run2" },
	{ 0xddab7b7b, "prepare_to_wait_event" },
	{ 0x3c11e656, "__wake_up" },
	{ 0xa433e14a, "event_triggers_call" },
	{ 0x238d3397, "dma_fence_add_callback" },
	{ 0x2d9a3fd1, "dma_fence_set_deadline" },
	{ 0x779b4ede, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5154845, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4cf2453b, "dev_driver_string" },
	{ 0x619d006d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x709dacbd, "trace_event_ignore_this_pid" },
	{ 0xcbd47533, "dma_resv_iter_next" },
	{ 0xec6b28be, "dma_fence_remove_callback" },
	{ 0x423d4936, "kmem_cache_alloc" },
	{ 0xb8be6a06, "drm_dev_printk" },
	{ 0x4e982865, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2fefa42d, "perf_trace_run_bpf_submit" },
	{ 0xab8c3fd7, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65f9b965, "xa_load" },
	{ 0x9b891f69, "dma_fence_signal" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5f4e262a, "kmem_cache_free" },
	{ 0x3b688d93, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbe3940c5, "dma_fence_init" },
	{ 0x7ae2b52a, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6e96b43f, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x555ad77b, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7cb69548, "trace_event_buffer_reserve" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfeb4cf84, "xa_destroy" },
	{ 0x18677d54, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d26457b, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x536d33e3, "dma_resv_iter_first" },
	{ 0x274612d8, "xa_find_after" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0x92e11b0d, "param_ops_int" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0xb21c35a9, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0806BFF4D63FA6A71F2E91B");
MODULE_INFO(rhelversion, "9.7");
