#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x1aafce0a, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x110d32c0, "_gpl");
SYMBOL_CRC(stm_data_write, 0xbe463b77, "_gpl");
SYMBOL_CRC(stm_register_device, 0xf7c8d610, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0xfd48124d, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xf9e31820, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x484393b9, "_gpl");
SYMBOL_CRC(stm_source_write, 0x70bdbc2c, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xab3cbcdd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9e513b2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5e03ba95, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4084bc3b, "device_unregister" },
	{ 0xe45cbd97, "pm_runtime_set_autosuspend_delay" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x990ff158, "vm_iomap_memory" },
	{ 0x3ff708c7, "config_item_get" },
	{ 0xe60c47ce, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xe72ed1d9, "pcpu_hot" },
	{ 0x24a76e94, "synchronize_srcu" },
	{ 0xb7f4511a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3256fc01, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6936c0a9, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc93202fa, "put_device" },
	{ 0xb3e47cc5, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x2733135e, "module_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8e047102, "init_srcu_struct" },
	{ 0x305201c9, "down_write" },
	{ 0x4a72c051, "up_write" },
	{ 0x29dfa6cc, "configfs_register_subsystem" },
	{ 0x69c847ea, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0xfb9c4940, "__srcu_read_lock" },
	{ 0x670ac20b, "config_group_init_type_name" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x7db533be, "class_unregister" },
	{ 0xf75722af, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb91bddfb, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x14b36c85, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x556aa3c, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x29b67a17, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb96083f8, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xd6d9dde6, "config_item_put" },
	{ 0xba8237e, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x15af71b8, "kobject_set_name" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xbb7378c4, "device_match_name" },
	{ 0xe84c4ffd, "__srcu_read_unlock" },
	{ 0xf6ac9fa8, "boot_cpu_data" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0xed714418, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x6f84f1c8, "__pm_runtime_use_autosuspend" },
	{ 0x25e35bb4, "__pm_runtime_disable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xef92963d, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1b9285ac, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.7");
