#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xe319e3ba, "");
SYMBOL_CRC(sas_remove_host, 0xd8e2aa32, "");
SYMBOL_CRC(sas_get_address, 0x55704b09, "");
SYMBOL_CRC(sas_tlr_supported, 0x21947e20, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x0dbbb7fb, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xb202bf53, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x32f9d218, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xa7f3650d, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xe42b92a0, "");
SYMBOL_CRC(sas_phy_add, 0x26e3c884, "");
SYMBOL_CRC(sas_phy_free, 0x7b715788, "");
SYMBOL_CRC(sas_phy_delete, 0x4d7083ae, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x7e2c29d3, "");
SYMBOL_CRC(sas_port_alloc, 0xd91d6011, "");
SYMBOL_CRC(sas_port_alloc_num, 0x2c04749b, "");
SYMBOL_CRC(sas_port_add, 0xe5f5dfa8, "");
SYMBOL_CRC(sas_port_free, 0x351002db, "");
SYMBOL_CRC(sas_port_delete, 0x27c52bf4, "");
SYMBOL_CRC(scsi_is_sas_port, 0x60f7b915, "");
SYMBOL_CRC(sas_port_get_phy, 0x5749ff45, "");
SYMBOL_CRC(sas_port_add_phy, 0xbac5c722, "");
SYMBOL_CRC(sas_port_delete_phy, 0xa45b812d, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x83b0eac9, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x2427bb48, "");
SYMBOL_CRC(sas_end_device_alloc, 0x5cb27fa4, "");
SYMBOL_CRC(sas_expander_alloc, 0x7d980b67, "");
SYMBOL_CRC(sas_rphy_add, 0xef717c3c, "");
SYMBOL_CRC(sas_rphy_free, 0x8256750a, "");
SYMBOL_CRC(sas_rphy_delete, 0x0c34d964, "");
SYMBOL_CRC(sas_rphy_unlink, 0xdb5e41bb, "");
SYMBOL_CRC(sas_rphy_remove, 0x5881a79b, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x6a1f5db1, "");
SYMBOL_CRC(sas_attach_transport, 0x3494b08b, "");
SYMBOL_CRC(sas_release_transport, 0xb2b5fc72, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0xee92efda, "attribute_container_register" },
	{ 0x59795bb1, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x39f94321, "_dev_printk" },
	{ 0x8d98da8e, "scsi_get_vpd_page" },
	{ 0x2152b9e0, "scsi_mode_sense" },
	{ 0x850a1794, "attribute_container_unregister" },
	{ 0x1d09d07e, "scsi_remove_host" },
	{ 0xced4b3e1, "bsg_remove_queue" },
	{ 0xee0f2f60, "scsi_remove_target" },
	{ 0x186c98a8, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0xa13e1660, "bsg_job_done" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x3f9b59ac, "dma_opt_mapping_size" },
	{ 0xe60c47ce, "device_initialize" },
	{ 0x30fa7f8c, "dev_set_name" },
	{ 0x54ad48b1, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d445e2c, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc93202fa, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x69c847ea, "device_add" },
	{ 0x60b4370c, "transport_add_device" },
	{ 0xe500f776, "transport_configure_device" },
	{ 0xe8ff88dd, "device_del" },
	{ 0x7aadabfa, "transport_destroy_device" },
	{ 0xc2a33399, "transport_remove_device" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xebe9b029, "get_device" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x5904c554, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xeaf708cf, "scsi_scan_target" },
	{ 0x563dc7ee, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xca3cfb9b, "transport_class_register" },
	{ 0x14040c2d, "transport_class_unregister" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6399EE6CD5708AC0E3B3338");
MODULE_INFO(rhelversion, "9.7");
