#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x2d59247e, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0xfe4aa746, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0xe4746ebe, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x02ab124d, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x23adf984, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0xffbdc5ff, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x9aa34e87, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x0699b1b5, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xa134a238, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x99d84a33, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0xdcb76bfb, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0xf23ae855, "");
SYMBOL_CRC(vfio_unpin_pages, 0x4ff8a483, "");
SYMBOL_CRC(vfio_dma_rw, 0xbbd542b2, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x52b1b583, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x3b81430c, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0xcfd1185b, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x00598b26, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0xf1cefc09, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x6959ef25, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xfae38f86, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x885df37f, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0x55aa3f3c, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0xf059f7c8, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x8149cf96, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0xea419b93, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x0c5770e3, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0xa8fb72cc, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0xe6f4b045, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0xc9e3a05c, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0x5e00383a, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x80c18c09, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xa02add39, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x47a5b8c8, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xc9e513b2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe624aaf, "anon_inode_getfile" },
	{ 0xd0899e7a, "__init_rwsem" },
	{ 0xca3dac36, "alloc_anon_inode" },
	{ 0x53658f85, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa995232a, "iommufd_access_detach" },
	{ 0x5bef39af, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x30fa7f8c, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x1ae9d074, "cdev_device_del" },
	{ 0x2dab539f, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xba7ad714, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x2b77c5a9, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xe60c47ce, "device_initialize" },
	{ 0x94d867b1, "iommufd_device_attach" },
	{ 0xe21f19d3, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x63cd6414, "iommufd_access_pin_pages" },
	{ 0x24848682, "iput" },
	{ 0xe72ed1d9, "pcpu_hot" },
	{ 0x21dd069d, "add_wait_queue" },
	{ 0xb21f4b59, "iommufd_ctx_from_fd" },
	{ 0x7ac26efd, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0xb7f4511a, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xee372cb9, "iommufd_vfio_compat_set_no_iommu" },
	{ 0xefad12fd, "iommufd_vfio_compat_ioas_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xefb29f8b, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc93202fa, "put_device" },
	{ 0x25495b7, "iommufd_ctx_from_file" },
	{ 0x9aae418, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2733135e, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0xf1abde02, "fput" },
	{ 0x305201c9, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x4a72c051, "up_write" },
	{ 0x69c847ea, "device_add" },
	{ 0x65f9b965, "xa_load" },
	{ 0x21f5a50, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xad48fd24, "class_create" },
	{ 0x8c8d3019, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x8c86081b, "ida_free" },
	{ 0x8bf46f89, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe8ff88dd, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x24c46260, "iommufd_access_destroy" },
	{ 0xefd01df4, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xb56d84fa, "__xa_cmpxchg" },
	{ 0x4bd5f692, "iommufd_device_to_id" },
	{ 0x3cf7076e, "init_pseudo" },
	{ 0x345240d6, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb96083f8, "__pm_runtime_resume" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x149c480f, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xfeb4cf84, "xa_destroy" },
	{ 0x7945559a, "iommufd_ctx_put" },
	{ 0xf592a4c, "iommufd_access_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x72197b15, "iommufd_device_detach" },
	{ 0xefde2c1a, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x670b7624, "simple_release_fs" },
	{ 0x95b65381, "kill_anon_super" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x41260c89, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5a7c9a88, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x370f8c48, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xeb772c2f, "up_read" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x72b04e55, "__pm_runtime_idle" },
	{ 0xffefe07d, "cdev_init" },
	{ 0xcbea7120, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x74b49573, "eventfd_ctx_fileget" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0x678b212e, "iommu_group_remove_device" },
	{ 0x6d0d823e, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "80C08A9AB5DF09EA0863245");
MODULE_INFO(rhelversion, "9.7");
