#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_set_do_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0x76b8a660, "_gpl");
SYMBOL_CRC(nft_request_module, 0x9f73d1c5, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0xd0ccf6ab, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x0fd9f32d, "_gpl");
SYMBOL_CRC(nft_register_expr, 0xc11f27ca, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x94d8806e, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0xde9917cb, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0x3b2942cd, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x784f4621, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0x75faefc6, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0x85b7b12d, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x992c27c5, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x379abb40, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0x9c22052b, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x5478218b, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x1c03c304, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0xb0d1c316, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0x7abd3f3f, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0x0f5db8e9, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x64f58d34, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0x1e11cd39, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0xc7ee52ed, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0xffdd5273, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x441eeed7, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x73d052a8, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0x7f17b488, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0xd07f82f3, "_gpl");
SYMBOL_CRC(nft_data_init, 0x6322694a, "_gpl");
SYMBOL_CRC(nft_data_release, 0x4a221d78, "_gpl");
SYMBOL_CRC(nft_data_dump, 0xa57d4a80, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x4400fbc1, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0xc3ede384, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0x9e86c651, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0xa9be2fc1, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xb4e0fdb6, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0x494239ed, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0x1b4040ed, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0x259055a0, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x86468997, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0xf5c2c794, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0xe081752f, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0x6121265d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57b6bb67, "__do_once_done" },
	{ 0xf37087df, "__netlink_dump_start" },
	{ 0x4529a6f9, "flow_rule_alloc" },
	{ 0xc9e513b2, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x142fd84e, "skb_copy_bits" },
	{ 0x3c92cca7, "__nlmsg_put" },
	{ 0xbc807fe2, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcb9a4010, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x174818ff, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0x26a6fa8d, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xef5cb9, "nfnetlink_subsys_register" },
	{ 0xe72ed1d9, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x509c487d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34071d2b, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xece6d1f8, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5ece4a86, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7ab964a8, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x109af7ae, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xac5d59be, "nf_route" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xa916b694, "strnlen" },
	{ 0x848b6377, "__alloc_skb" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0xcbbf494a, "nf_ipv6_ops" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x873ef30c, "rt_write_unlock" },
	{ 0x2733135e, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xdbc07d9f, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xfc82b170, "nf_register_net_hook" },
	{ 0xeb2575be, "__skb_get_hash_net" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2c0c5edf, "sk_skb_reason_drop" },
	{ 0xa8be5b6c, "ip_route_me_harder" },
	{ 0x7b9b5a80, "skb_store_bits" },
	{ 0xdd0e4076, "dev_get_by_index_rcu" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xebd3052f, "nfnetlink_unicast" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4779de6, "skb_ensure_writable" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1d857794, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd1a91b03, "flow_indr_dev_setup_offload" },
	{ 0xb0017d9d, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x4467ec1c, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x69d3f246, "rhashtable_free_and_destroy" },
	{ 0x8a7f14ae, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0xe39a43a5, "rht_bucket_nested_insert" },
	{ 0x2396d7f6, "nfnetlink_send" },
	{ 0xb91bddfb, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd41c7cfe, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xa2ffe046, "nfnetlink_subsys_unregister" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x9beb09b7, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x406cbe50, "skb_trim" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc7d767de, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x43262464, "rhashtable_insert_slow" },
	{ 0x3075d8b9, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x4775670e, "rt_read_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1cfdb411, "ipv4_mtu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0xf12cf968, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf730f163, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc5bd6ebc, "rt_read_unlock" },
	{ 0x17d30524, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x9954db59, "dst_release" },
	{ 0x2c27a1a0, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xf6ac9fa8, "boot_cpu_data" },
	{ 0x4f71ca25, "rhashtable_walk_next" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xfcc865b8, "from_kuid_munged" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xc228361c, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x670cb027, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "4367CE0A42B0E8D97DBB3BC");
MODULE_INFO(rhelversion, "9.7");
