#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x4e939cda, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x9c2b2271, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x89612475, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x0f4c21d6, "");
SYMBOL_CRC(gss_mech_put, 0xb3b4ead1, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x02d26edb, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x40a41c6c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ee8baaa, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc9e513b2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x279cba65, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x9225e178, "xdr_buf_from_iov" },
	{ 0xfadd06c4, "bpf_trace_run4" },
	{ 0xa6e25dbb, "xdr_stream_decode_opaque_auth" },
	{ 0x60eeae2f, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6bb0cb74, "xdr_write_pages" },
	{ 0xc86dc792, "rpc_shutdown_client" },
	{ 0xcd6ca0d3, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8e04ee15, "xdr_inline_decode" },
	{ 0x63d316de, "cache_create_net" },
	{ 0xd0e3a15b, "rpcauth_destroy_credcache" },
	{ 0x8a81b30e, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x498390cb, "bpf_trace_run6" },
	{ 0x34120bfc, "rpc_net_ns" },
	{ 0xa36629de, "read_bytes_from_xdr_buf" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x237d5b5e, "finish_wait" },
	{ 0x2bddc9e9, "rpc_wake_up" },
	{ 0xaf4ec24a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x2048e039, "sunrpc_cache_lookup_rcu" },
	{ 0xadb7dc69, "prepare_to_wait" },
	{ 0xfc5b10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xe72ed1d9, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x33584883, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x9e352024, "bpf_trace_run2" },
	{ 0xddab7b7b, "prepare_to_wait_event" },
	{ 0xed9ddf2c, "xdr_truncate_decode" },
	{ 0x7b371676, "rpcauth_unregister" },
	{ 0xa433e14a, "event_triggers_call" },
	{ 0x3c11e656, "__wake_up" },
	{ 0xceb739f, "__xdr_commit_encode" },
	{ 0x34071d2b, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x42663f99, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xafd99add, "__put_cred" },
	{ 0x7ab964a8, "register_pernet_subsys" },
	{ 0x619d006d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b21a744, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x3ebded0f, "rpc_release_client" },
	{ 0x71156f89, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x957b75b6, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdd44df15, "svc_auth_register" },
	{ 0xdfee305, "xdr_stream_encode_opaque_auth" },
	{ 0x709dacbd, "trace_event_ignore_this_pid" },
	{ 0x78ef67f4, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x2ef5951b, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1e503a7c, "__free_pages" },
	{ 0x6a1a8ac4, "rpc_pipe_generic_upcall" },
	{ 0x2733135e, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x2770d8, "cache_unregister_net" },
	{ 0x11de74a, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2fefa42d, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x92c859c8, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x2f217d27, "rpcauth_init_credcache" },
	{ 0xd6ac00dd, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xda25738a, "xdr_init_decode" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x3b688d93, "trace_event_reg" },
	{ 0x9fb5de9c, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5d973b85, "rpc_sleep_on_timeout" },
	{ 0xe369f516, "rpc_create" },
	{ 0x7ae2b52a, "bpf_trace_run1" },
	{ 0x70cd3f24, "rpc_call_sync" },
	{ 0xcbe1374d, "from_kuid" },
	{ 0x4467ec1c, "unregister_pernet_subsys" },
	{ 0x5b994dba, "rpc_queue_upcall" },
	{ 0xca9f8994, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x42535408, "__alloc_pages" },
	{ 0xcb20a159, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4848c59f, "svcauth_unix_set_client" },
	{ 0xe28643de, "xdr_buf_subsegment" },
	{ 0x6e96b43f, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x8e8e0f6a, "make_kgid" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x303401c9, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x81f64cac, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x556aa3c, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd3e2e813, "bpf_trace_run3" },
	{ 0xc7d767de, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2da5e8, "rpc_mkpipe_dentry" },
	{ 0xe419ef8, "rpc_mkpipe_data" },
	{ 0xbdddf502, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7cb69548, "trace_event_buffer_reserve" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xc7dd0406, "cache_register_net" },
	{ 0x26aecb40, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd61fbe6b, "xdr_inline_pages" },
	{ 0x6c4bc28a, "__folio_put" },
	{ 0xff3bac96, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xa0f8ee56, "rpc_init_wait_queue" },
	{ 0x2a59eb49, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x3c986338, "rpc_unlink" },
	{ 0xe1f7516d, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xfcc865b8, "from_kuid_munged" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0x3f605d96, "rpcauth_init_cred" },
	{ 0x9864207e, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd1e6488d, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xf3949e32, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x478e77ff, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x9b3a031, "sunrpc_cache_update" },
	{ 0xa57f0c6c, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1eb4163e, "rpc_destroy_wait_queue" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x38a66765, "auth_domain_put" },
	{ 0x14bb04ac, "rpcauth_unwrap_resp_decode" },
	{ 0xcd03e85c, "rpcauth_register" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.7");
