#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(idxd_wq_alloc_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_free_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_init_percpu_ref, "_gpl", "IDXD");
KSYMTAB_FUNC(__idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_enable_wq, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_disable_wq, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_alloc_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_free_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_submit_desc, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_wq_alloc_resources, 0x56ed568c, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0x046e25ba, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0x252f07aa, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0x194f3ddb, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0x4ad0862d, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0x7a1a8403, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0x5058a9de, "_gpl");
SYMBOL_CRC(idxd_drv, 0x6d644785, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0x76d94590, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0xa18f7c29, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0x05c9d215, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x0b3c350f, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0x2a2d3f38, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xab0178d2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5bef39af, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaac75f16, "pci_msix_vec_count" },
	{ 0x78a7d1b, "pci_enable_device" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0x30fa7f8c, "dev_set_name" },
	{ 0x2f1746c5, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf467b44d, "dma_async_device_unregister" },
	{ 0x3c0241b1, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc511d2e1, "device_driver_attach" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x3dcdc97, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x1ae9d074, "cdev_device_del" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x4084bc3b, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x237d5b5e, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2ff2f5b6, "__pci_register_driver" },
	{ 0xa8b2fbde, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xe60c47ce, "device_initialize" },
	{ 0x1c1e4ed2, "dsa_bus_type" },
	{ 0x759fe2b5, "iommu_dev_disable_feature" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd6cd4d73, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe72ed1d9, "pcpu_hot" },
	{ 0xb91cfbb1, "seq_lseek" },
	{ 0x94d66ef1, "iommu_sva_bind_device" },
	{ 0xe3879017, "iommu_detach_device_pasid" },
	{ 0xddab7b7b, "prepare_to_wait_event" },
	{ 0x3c11e656, "__wake_up" },
	{ 0xead94dff, "pci_irq_vector" },
	{ 0xebe9b029, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb7f4511a, "__dynamic_dev_dbg" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x7e8bac38, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x76f091fe, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x495ac569, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f6e8347, "sbitmap_prepare_to_wait" },
	{ 0xefb29f8b, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc93202fa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x1f7103c1, "kmalloc_node_trace" },
	{ 0xc76e3b98, "iommu_dev_enable_feature" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x423d4936, "kmem_cache_alloc" },
	{ 0x9aae418, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbed17399, "__idxd_driver_register" },
	{ 0xdf09e197, "iommu_get_domain_for_dev" },
	{ 0xcae59c22, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x305201c9, "down_write" },
	{ 0xab8c3fd7, "_dev_err" },
	{ 0x4a72c051, "up_write" },
	{ 0xf6239ed7, "bus_find_device" },
	{ 0x69c847ea, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xde52004, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65f9b965, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x5f4e262a, "kmem_cache_free" },
	{ 0xac3fb7fd, "dma_alloc_attrs" },
	{ 0xb63dc867, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6eca8ed1, "dma_async_device_channel_unregister" },
	{ 0x310a435b, "iommu_sva_unbind_device" },
	{ 0xb2c6d3f, "sbitmap_queue_clear" },
	{ 0x8c86081b, "ida_free" },
	{ 0x8abf964a, "iommu_alloc_global_pasid" },
	{ 0xc77b636, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8033ccb5, "pci_iounmap" },
	{ 0x8fdbd593, "pci_restore_state" },
	{ 0xe8ff88dd, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x66f1b43f, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa3316d27, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9fa7b8d7, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x92d5d15f, "dma_async_device_register" },
	{ 0x6e96b43f, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x1a9662e3, "pci_reset_function" },
	{ 0xe48b5849, "iommu_attach_device_pasid" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xb56d84fa, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa1e497cf, "dma_set_coherent_mask" },
	{ 0x80f39db0, "__xa_insert" },
	{ 0xe4acf4b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xbe662d0a, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe2298a43, "sbitmap_finish_wait" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xca59096e, "dma_async_device_channel_register" },
	{ 0x149c480f, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfeb4cf84, "xa_destroy" },
	{ 0x7f2d5398, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x76d07a1c, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xbb7378c4, "device_match_name" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0xf893f7dc, "debugfs_create_file_full" },
	{ 0x65fd047, "pci_disable_device" },
	{ 0xf6ac9fa8, "boot_cpu_data" },
	{ 0x9ba9e66f, "seq_puts" },
	{ 0x1b376c75, "single_release" },
	{ 0x1d41989a, "dma_set_mask" },
	{ 0xa264ff7d, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xaee8390, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1a712e40, "single_open" },
	{ 0x272bacd6, "debugfs_create_dir" },
	{ 0x6987a6e8, "__sbitmap_queue_get" },
	{ 0x1f3e6993, "pci_free_irq_vectors" },
	{ 0x283a2532, "idxd_driver_unregister" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0xffefe07d, "cdev_init" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0xb21c35a9, "kmem_cache_destroy" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000011FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001216sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000B02Dsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "531AF973EFD2132FFD48386");
MODULE_INFO(rhelversion, "9.7");
