#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x8b0030d6, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x4ca90819, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xc12b3143, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x3a924edf, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0xa1b641c7, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x2e245a7d, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x1e3d1e82, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x5979c370, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x240b4792, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x4e8c22d8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0xf4bd0c6d, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xacb9ce62, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x8ced5f6c, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x24c77ad8, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0xaf2c0b33, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xf6117c87, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xe4d5dcba, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0xee5b25cd, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x5a6d2066, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x9285dea6, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xea3a3f04, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x77460ee3, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0xd88d3533, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x93f9bd8a, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x14dfaeb4, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x726aeeb2, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x66c5d224, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0xa660f70c, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x46a1fdaa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x22a34b9b, "regmap_read" },
	{ 0x9aae418, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf398a487, "regmap_update_bits_base" },
	{ 0xf8896f4e, "regmap_write" },
	{ 0xdf3cff19, "regmap_multi_reg_write" },
	{ 0xb7985617, "regmap_bulk_read" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x75a79f88, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb63dc867, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4c8380c2, "devm_kmalloc" },
	{ 0x6815dbd5, "devm_kfree" },
	{ 0xb91cfbb1, "seq_lseek" },
	{ 0xe4acf4b, "seq_read" },
	{ 0x1b376c75, "single_release" },
	{ 0xbbac8433, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x272bacd6, "debugfs_create_dir" },
	{ 0x317fb57e, "debugfs_create_bool" },
	{ 0xf844206f, "debugfs_create_x32" },
	{ 0xf893f7dc, "debugfs_create_file_full" },
	{ 0x1a712e40, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xab8c3fd7, "_dev_err" },
	{ 0x76d07a1c, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb7f4511a, "__dynamic_dev_dbg" },
	{ 0x8bfd7397, "regmap_raw_write" },
	{ 0x13d7088a, "regmap_raw_read" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ADA90915DF3710A0C45C3EA");
MODULE_INFO(rhelversion, "9.7");
