#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xfa4b5450, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x48b66b38, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x239cc62e, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x1d346d18, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x6640a66c, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xbec232f5, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x17bc42a0, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x9b280ec0, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x2f396b9f, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xaec20296, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x419eb8f4, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x299ce69f, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x7d946017, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xf202c7f2, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0xd6ae23ef, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xfb461320, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x6771e659, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x0768b1dd, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xa11daa2d, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x38ace42e, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x67aae48c, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x47592f5c, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x9cf3017f, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x14a90112, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x9bf77b89, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x106e2047, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xf54323a3, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x91bd45f3, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xf0e42d35, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xf6c2f5fb, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xb77eac0b, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x028560f2, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xe6d2be95, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x2ff1827a, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x31a15eab, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x07901fa8, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x3f788cc7, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x2e0a8984, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x74beed29, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x4396772b, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x0549784a, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xbcd1be69, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x619b3a92, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x6709eafa, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xf1baa8f7, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x92d5b2f2, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x30558c0a, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xfbaf2c43, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xc9d02572, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x42b9654a, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x74b1a264, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x203eea3d, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x657bfc20, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xe4bcc6e4, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x79da13b4, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x48d128f8, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x756a74e1, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x1df0f176, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x9482c277, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xae8a070c, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x729c4413, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x3667303a, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xa04aebbc, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x9223c3fd, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x81a81d17, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xeb11a0f0, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x14eb3c65, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x4518cdc0, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xccdd7a74, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xdc811bdf, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x85f9735f, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xfb22025d, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x2e92707f, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x01ff96a4, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x4692532b, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xf7f97399, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xd1d7779f, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xe2b82e1b, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x5154dc0d, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x6c6257df, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x7e808f53, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x1769ce45, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xbc2bc030, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x335b665a, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xd12b7101, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xe4ed8752, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x3a918256, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x1d193406, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x1e31577c, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xe71f8880, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x5a8f89fc, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xe5bed37f, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x0eb339f8, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xcf240501, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x4252146e, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7b633485, "");
SYMBOL_CRC(drm_flip_work_commit, 0x935f4510, "");
SYMBOL_CRC(drm_flip_work_init, 0x6580a4a9, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x94a520cd, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xcf129222, "");
SYMBOL_CRC(drm_fb_swab, 0x1cf2d21f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xec16760b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x71e9fee9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x80223285, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x53dd599a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x61911a40, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xefb72535, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x5d38acc2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x31667d6a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x8d17c415, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x6368fbba, "");
SYMBOL_CRC(drm_fb_blit, 0x21601e89, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xb31def9a, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x3e1bb59d, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xb36f28c4, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x5f2113a5, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x805bc2a5, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x3ba7ab5d, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x5d24b47d, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x367a928e, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xb2e7bea0, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x2cde802f, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x0aabbca4, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xdbc187eb, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xdfd5aae6, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xaddcc8af, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xa0a50d3e, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x23cab545, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xa53c5922, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x25231a9a, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xc12ca525, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x06de396b, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x6db39132, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x4989dc78, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xdff3141a, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xd4113b34, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x139f4b71, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xfc3f7588, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xefec6437, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x9f95c36e, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x7dd8a59b, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xb77b0f85, "");
SYMBOL_CRC(drm_crtc_init, 0x22c1a02a, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x0932d034, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x97888594, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xbcc13978, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x1f29346d, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x7a6da5f7, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xed57b332, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x4c072e4b, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xaa097daa, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xee22aaf6, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xe4b0ab45, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xfe2ba1de, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x18e4256f, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0xc7fff779, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x75f7910f, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0x5602119d, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x5e8a3e8d, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xc5a36746, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xf1183a12, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xeef84534, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x19692336, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xe4f36a48, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xc92667c5, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xdc5ae458, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xe96cae18, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x4ee8d859, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x34b18f85, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x1af17c05, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xe034f7f7, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xde4680f8, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xac9a0039, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xe70ea1eb, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xc2f7ab12, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x37482f8a, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xf80c99c5, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x4394c2e9, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x655ec24e, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xa75d7b35, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x6aaaf9f5, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xdf7e43d6, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x445f6519, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x14bc7f17, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xf798c2e5, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x95cf164d, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xd82b9af6, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x1a33bbe7, "");
SYMBOL_CRC(drm_fb_helper_init, 0x3436017d, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x07b56fae, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xff5dfe8b, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xe15b77a0, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x4e95f168, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xc8483187, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0xea3e2fa6, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x8d863ae6, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x8a27d7f6, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0xd20751cd, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x9e82d2bb, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x745cea23, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x148e6a8e, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xd50ba2cd, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0xfe387858, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xe5500a41, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x19ad706c, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xd23da39d, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x8d77a038, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72d60c81, "unregister_framebuffer" },
	{ 0xc894100c, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x3183330b, "drm_framebuffer_cleanup" },
	{ 0x380f3ce1, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x254455d3, "drm_panel_get_modes" },
	{ 0xb2f56ae0, "drm_gem_vmap_unlocked" },
	{ 0xc9e513b2, "try_module_get" },
	{ 0x9e25db90, "drm_connector_list_update" },
	{ 0xfb0cd242, "drm_bridge_add" },
	{ 0x4590c60b, "drm_bridge_chain_mode_valid" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x9bca9364, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4c8380c2, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x92445b57, "drm_client_rotation" },
	{ 0x86a54089, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6b8ed244, "drm_framebuffer_init" },
	{ 0x8f714627, "drm_mode_validate_driver" },
	{ 0xe9dc27b6, "drm_atomic_add_affected_planes" },
	{ 0x1f9a013e, "dma_buf_end_cpu_access" },
	{ 0x73966ed7, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9b140749, "drm_mode_probed_add" },
	{ 0xea895c72, "drm_atomic_add_affected_connectors" },
	{ 0xeabd0aa6, "drm_client_dev_resume" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0x2dadac96, "drm_gem_vunmap_unlocked" },
	{ 0xd4452492, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x237d5b5e, "finish_wait" },
	{ 0xdd7e5952, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xb5101047, "drm_atomic_bridge_chain_enable" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xce784489, "drm_mode_object_get" },
	{ 0x67a0eeca, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x4ea3ce1b, "drm_driver_legacy_fb_format" },
	{ 0xe72ed1d9, "pcpu_hot" },
	{ 0xd82312f6, "drm_crtc_cleanup" },
	{ 0x8a99bf37, "drm_connector_list_iter_begin" },
	{ 0xe4351c40, "drm_mode_set_config_internal" },
	{ 0xddab7b7b, "prepare_to_wait_event" },
	{ 0x37683393, "framebuffer_alloc" },
	{ 0xe676b78d, "drm_encoder_cleanup" },
	{ 0x966aa904, "drm_modeset_acquire_init" },
	{ 0x2d9a3fd1, "dma_fence_set_deadline" },
	{ 0xa36fdbbc, "drm_client_modeset_probe" },
	{ 0x760664b4, "drm_warn_on_modeset_not_all_locked" },
	{ 0x1a18001, "drm_client_dev_suspend" },
	{ 0xb407271e, "drm_plane_get_damage_clips" },
	{ 0xb755475c, "devres_add" },
	{ 0x5154845, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7133a41c, "drm_add_modes_noedid" },
	{ 0x8b0c5c08, "drm_bridge_remove" },
	{ 0x64da07b7, "drm_mode_object_put" },
	{ 0x4cf2453b, "dev_driver_string" },
	{ 0x9139fc7, "drm_crtc_vblank_get" },
	{ 0xf5776a57, "drm_gem_object_lookup" },
	{ 0x3fcb66d2, "drm_crtc_send_vblank_event" },
	{ 0x9de43be5, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41a10ac, "drm_atomic_normalize_zpos" },
	{ 0xd87f01a0, "drm_edid_connector_update" },
	{ 0xe33bd568, "drm_sysfs_hotplug_event" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x61e6234a, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65ceca75, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x2ea6a294, "drm_connector_list_iter_end" },
	{ 0xd3f2ed3a, "drm_atomic_set_crtc_for_plane" },
	{ 0x922ec670, "drm_client_modeset_dpms" },
	{ 0x5eb03f18, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x960af4bf, "drm_client_dev_hotplug" },
	{ 0x9aae418, "_dev_info" },
	{ 0x61f72444, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x349d9ceb, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x2733135e, "module_put" },
	{ 0x26894538, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xd69688c5, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4a8e1405, "drm_client_init" },
	{ 0xcf52bd21, "drm_crtc_wait_one_vblank" },
	{ 0xb9b80df1, "drm_crtc_next_vblank_start" },
	{ 0x8cc26107, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x95c3ed3d, "drm_driver_color_mode_format" },
	{ 0x65d7298f, "drm_modeset_lock" },
	{ 0x25a5bc10, "drm_client_modeset_commit_locked" },
	{ 0xa11da33d, "drm_modeset_unlock" },
	{ 0x3034e3ca, "drm_panel_disable" },
	{ 0xe72037a0, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x513f2682, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6815dbd5, "devm_kfree" },
	{ 0xab8c3fd7, "_dev_err" },
	{ 0xda112d24, "drm_writeback_cleanup_job" },
	{ 0x3015d85, "drm_modeset_lock_all_ctx" },
	{ 0x66f175de, "i2c_unregister_device" },
	{ 0xe399f9ba, "drm_atomic_set_fb_for_plane" },
	{ 0xd56af043, "__drm_universal_plane_alloc" },
	{ 0xc6229d6d, "drm_edid_connector_add_modes" },
	{ 0x814dcde2, "drm_probe_ddc" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x24e778ba, "__devres_alloc_node" },
	{ 0x1ad046c1, "drm_edid_read" },
	{ 0x934e734a, "drm_crtc_commit_wait" },
	{ 0xfcd70d96, "drm_dev_has_vblank" },
	{ 0xd29b2a57, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x7ad92a9f, "__drm_atomic_helper_disable_plane" },
	{ 0xf5c4f92c, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x370af992, "drm_gem_handle_create" },
	{ 0xdce4b664, "drm_atomic_set_crtc_for_connector" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0x3239d0af, "drm_analog_tv_mode" },
	{ 0x794c5ebc, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xd10af1e2, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x56e8767a, "drm_crtc_vblank_put" },
	{ 0xf324570, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xb919f50, "__drm_dev_dbg" },
	{ 0x1ec357ea, "drm_plane_get_damage_clips_count" },
	{ 0x9b65b7d7, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x2eb30431, "drm_atomic_state_alloc" },
	{ 0x572accab, "drm_client_modeset_commit" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x8199aefc, "drm_atomic_bridge_chain_post_disable" },
	{ 0xcdaef592, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x7a1b071c, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xc2c6b81e, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x148c49a3, "drm_client_release" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x21f8880b, "__drm_atomic_helper_set_config" },
	{ 0xe930976a, "mutex_trylock" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xa292dd9b, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x8a110b03, "drm_connector_cleanup" },
	{ 0xb56f409f, "drm_get_format_info" },
	{ 0xab16d296, "drm_universal_plane_init" },
	{ 0x4a8f7569, "drm_any_plane_has_format" },
	{ 0xeb5d4f5a, "drm_connector_list_iter_next" },
	{ 0x7fa25bd2, "drm_modeset_acquire_fini" },
	{ 0x71f48044, "drm_encoder_init" },
	{ 0xe3637a8e, "drm_object_property_get_default_value" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x149c480f, "param_ops_bool" },
	{ 0xb8bf9196, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x37d5f3d4, "drm_modeset_backoff" },
	{ 0x233b5b7f, "drm_panel_prepare" },
	{ 0xfea2a2e4, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xfc82fed6, "drm_atomic_get_plane_state" },
	{ 0xebbf49b8, "drm_atomic_bridge_chain_check" },
	{ 0x9b8da90a, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0xd9889b4c, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xbe144af7, "drm_property_blob_put" },
	{ 0xe061a96f, "drm_mode_destroy" },
	{ 0x6462834, "drm_bridge_attach" },
	{ 0x35e55406, "drm_set_preferred_mode" },
	{ 0x49d69902, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xf73a0266, "drm_atomic_state_clear" },
	{ 0xc6227d7d, "drm_mode_config_reset" },
	{ 0xa062359, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0xbda70879, "drm_modeset_drop_locks" },
	{ 0x7e797b6c, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xe6a3fdb4, "drm_atomic_bridge_chain_disable" },
	{ 0x6d67b16e, "drm_mode_create_from_cmdline_mode" },
	{ 0x12d1d061, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x92e11b0d, "param_ops_int" },
	{ 0xb56f2c1d, "drm_atomic_nonblocking_commit" },
	{ 0x272bacd6, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0x4d6df007, "drm_master_internal_release" },
	{ 0x93353c9b, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x9d1bc809, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0x3cdb4f49, "drm_atomic_add_encoder_bridges" },
	{ 0xe6346a34, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x82f21adf, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "fb,drm");


MODULE_INFO(srcversion, "D18152F6B056A9C03572093");
MODULE_INFO(rhelversion, "9.7");
