#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_create_with_mnt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_driver_fbdev_probe, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xcbfed2df, "_gpl");
SYMBOL_CRC(drm_gem_shmem_create_with_mnt, 0x6a068dd1, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x5ffcb286, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xbff485cf, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0x663bc20b, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0x3c478ccc, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x1106f447, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x8ff77224, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0xa99c30f4, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x95f019ea, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x04d81fc0, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x34a9ae64, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x782535b3, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x7b4e04bd, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x984beb00, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xfc05a5ae, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x006340e0, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x2a19c643, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x073dbec6, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_driver_fbdev_probe, 0x17bfdc52, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc9e513b2, "try_module_get" },
	{ 0x445f6519, "drm_fb_helper_debug_enter" },
	{ 0x12709468, "ww_mutex_lock_interruptible" },
	{ 0x6902814f, "vmf_insert_pfn" },
	{ 0x6eb6ea01, "drm_gem_get_pages" },
	{ 0x9e257613, "dma_buf_vmap" },
	{ 0x247de3f7, "drm_client_buffer_vmap" },
	{ 0x9e82d2bb, "drm_fb_helper_setcmap" },
	{ 0x7b56fae, "drm_fb_helper_alloc_info" },
	{ 0x1a33bbe7, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4e95f168, "drm_fb_helper_fini" },
	{ 0xd8ee238d, "drm_client_framebuffer_delete" },
	{ 0xf0f5aedc, "drm_client_framebuffer_create" },
	{ 0x947c30a7, "invalidate_mapping_pages" },
	{ 0x3de94aea, "ww_mutex_unlock" },
	{ 0x8d863ae6, "drm_fb_helper_deferred_io" },
	{ 0xff5dfe8b, "drm_fb_helper_release_info" },
	{ 0xe948103e, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x1b8d0cd0, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ea3ce1b, "drm_driver_legacy_fb_format" },
	{ 0xe5500a41, "drm_fb_helper_fill_info" },
	{ 0xbd97961, "drm_gem_create_mmap_offset" },
	{ 0x95b574f3, "fb_deferred_io_init" },
	{ 0x3c65ce48, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4cf2453b, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe74f4c71, "fb_sys_write" },
	{ 0xca028e85, "sys_imageblit" },
	{ 0xc8483187, "drm_fb_helper_damage_range" },
	{ 0x95cf164d, "drm_fb_helper_blank" },
	{ 0xd0be73a, "drm_gem_private_object_init" },
	{ 0x148e6a8e, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xea3e2fa6, "drm_fb_helper_damage_area" },
	{ 0x1eca8d2b, "sys_fillrect" },
	{ 0xd668ea4, "set_pages_array_wb" },
	{ 0x2733135e, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc0785b47, "drm_gem_vm_close" },
	{ 0x90d13609, "drm_gem_vm_open" },
	{ 0x305201c9, "down_write" },
	{ 0x4a72c051, "up_write" },
	{ 0x95d47f2b, "drm_gem_object_release" },
	{ 0x3c3e450, "ww_mutex_lock" },
	{ 0x646b342b, "vmap" },
	{ 0x370af992, "drm_gem_handle_create" },
	{ 0xa53c5922, "drm_gem_fb_get_obj" },
	{ 0xb919f50, "__drm_dev_dbg" },
	{ 0xe70fd10d, "drm_prime_pages_to_sg" },
	{ 0x65a0a874, "fb_deferred_io_mmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe387858, "drm_fb_helper_pan_display" },
	{ 0xdd5995b3, "dma_buf_vunmap" },
	{ 0x148c49a3, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa743ff95, "sys_copyarea" },
	{ 0x4f8089d, "shmem_truncate_range" },
	{ 0x62860f8e, "set_pages_array_wc" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0xf629279a, "dma_map_sgtable" },
	{ 0xbd400d34, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f5d9f6e, "drm_client_buffer_vunmap" },
	{ 0xd8403383, "fb_sys_read" },
	{ 0x14bc7f17, "drm_fb_helper_debug_leave" },
	{ 0x3ae8101d, "drm_gem_object_init_with_mnt" },
	{ 0x4a61826e, "dma_unmap_sg_attrs" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0x27ec95, "drm_gem_put_pages" },
	{ 0xf6cfc4cd, "drm_gem_private_object_fini" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0x745cea23, "drm_fb_helper_ioctl" },
	{ 0xd50ba2cd, "drm_fb_helper_set_par" },
	{ 0x5d28e267, "drm_prime_gem_destroy" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "366122E1365C500195CDECB");
MODULE_INFO(rhelversion, "9.7");
