#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xd80a3728, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x6daf2575, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xa5f509bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f9e7016, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd41c7cfe, "__pskb_pull_tail" },
	{ 0x4dfca0bb, "register_netdevice" },
	{ 0x6a026b0c, "netdev_upper_dev_link" },
	{ 0xb0ae5f1b, "netdev_upper_dev_unlink" },
	{ 0x8646dc6f, "unregister_netdevice_queue" },
	{ 0xa03f6a3d, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xce69e82e, "netif_stacked_transfer_operstate" },
	{ 0x796a163a, "linkwatch_fire_event" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0x61e4d5bb, "netdev_rx_handler_register" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x406cbe50, "skb_trim" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ed3f0c, "netdev_rx_handler_unregister" },
	{ 0x6dc02bce, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x7952710b, "netif_carrier_off" },
	{ 0x24f7ceb, "dev_mc_unsync" },
	{ 0x2ad08163, "dev_uc_unsync" },
	{ 0x1955a620, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x416b73e2, "dev_uc_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5111115, "netif_carrier_on" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xffeb1d36, "genlmsg_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4bdf972b, "rtnl_link_register" },
	{ 0xa9e91201, "genl_register_family" },
	{ 0x7c614065, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xdba20b94, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba9836d8, "crypto_alloc_aead" },
	{ 0x9edcafaa, "crypto_aead_setkey" },
	{ 0x43d30add, "crypto_aead_setauthsize" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfded8e45, "skb_pull" },
	{ 0xa2c59774, "___pskb_trim" },
	{ 0xced26800, "ether_setup" },
	{ 0x9954db59, "dst_release" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x7eee14fb, "dev_mc_sync" },
	{ 0xe98f837e, "dev_uc_sync" },
	{ 0x2b2c10d6, "dev_set_allmulti" },
	{ 0xea30e4e9, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xbeb3f04d, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf57f3492, "__dev_queue_xmit" },
	{ 0xc736d068, "skb_clone" },
	{ 0x4b37f10e, "consume_skb" },
	{ 0x18a4584e, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x97f9a29b, "skb_to_sgvec" },
	{ 0x112882a5, "crypto_aead_decrypt" },
	{ 0x2c0c5edf, "sk_skb_reason_drop" },
	{ 0x47259ec1, "skb_copy" },
	{ 0xbdb37233, "eth_type_trans" },
	{ 0xa87c29d4, "gro_cells_receive" },
	{ 0x4b704aab, "__dev_get_by_index" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4f009cd0, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5eb55566, "gro_cells_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4362878f, "skb_push" },
	{ 0xbc807fe2, "skb_put" },
	{ 0xf43ef781, "crypto_aead_encrypt" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BEAB6ED3DFD77921345193F");
MODULE_INFO(rhelversion, "9.7");
