#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x474b4bad, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x7cfcfbd1, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x0724911b, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xedf13363, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x28e90486, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x3d7f007c, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x24ad2aae, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x4b4cc150, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x5225a589, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x91350ac2, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x36910cc4, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x2aa8bc28, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x1a62ede2, "_gpl");
SYMBOL_CRC(usbnet_open, 0xbefa807e, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xc7a587ec, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x11266b1f, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x145f55dc, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x9369fa6c, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x49e3980c, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x59a1fb60, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x4a052019, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x4d83318b, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x68622762, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xa7d3f941, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x3373aea3, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x1ea28920, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xc7270394, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x76265ce0, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xd9555cfa, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x17b2613e, "");
SYMBOL_CRC(usbnet_manage_power, 0x965dd740, "");
SYMBOL_CRC(usbnet_link_change, 0x48663844, "");
SYMBOL_CRC(usbnet_read_cmd, 0x21f23bf4, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xcf0d4c9b, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x5cd1720e, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xa3764ed1, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xac61031d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdca805f7, "usb_set_interface" },
	{ 0xfea21cfa, "usb_string" },
	{ 0xb7f4511a, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbfe747b, "skb_defer_rx_timestamp" },
	{ 0x4184393f, "netif_rx" },
	{ 0xbdb37233, "eth_type_trans" },
	{ 0xe3952905, "skb_queue_tail" },
	{ 0x8044ae95, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3145496, "skb_queue_purge_reason" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xf21acb3a, "usb_get_urb" },
	{ 0xba508c15, "usb_unlink_urb" },
	{ 0xb77bc6aa, "usb_free_urb" },
	{ 0xe72ed1d9, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7c630381, "__tracepoint_sched_set_state_tp" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x21dd069d, "add_wait_queue" },
	{ 0x5c0aada1, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdaef1a7, "usb_submit_urb" },
	{ 0xb66614f9, "netdev_err" },
	{ 0x8fe6aa6d, "mii_ethtool_get_link_ksettings" },
	{ 0xc08b0386, "mii_ethtool_set_link_ksettings" },
	{ 0xe5a8c8de, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x5047ee05, "unregister_netdev" },
	{ 0x924e1c5a, "usb_scuttle_anchored_urbs" },
	{ 0xe6889f1c, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x244a2d19, "free_netdev" },
	{ 0xc6be8df8, "netdev_info" },
	{ 0x67f763fc, "netif_device_detach" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x7198ae7a, "netif_device_attach" },
	{ 0x5111115, "netif_carrier_on" },
	{ 0x7952710b, "netif_carrier_off" },
	{ 0x3f2bb1c7, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf5501b18, "usb_autopm_get_interface" },
	{ 0x1dbbeea7, "usb_autopm_put_interface" },
	{ 0x49bf9f96, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0x454d08be, "mii_link_ok" },
	{ 0xef49cb49, "ethtool_op_get_link" },
	{ 0xedbc402c, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5e3353d4, "skb_dequeue" },
	{ 0xa9f305d5, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6e96b43f, "__init_waitqueue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xf2ceac03, "register_netdev" },
	{ 0xb3e47cc5, "pm_runtime_enable" },
	{ 0xed9481f, "skb_clone_tx_timestamp" },
	{ 0x207b7980, "usb_autopm_get_interface_async" },
	{ 0x946fd41a, "dev_kfree_skb_any_reason" },
	{ 0xe354f076, "skb_tstamp_tx" },
	{ 0xd46eb6b, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x8b461210, "__netdev_alloc_skb" },
	{ 0x4b37f10e, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3c11e656, "__wake_up" },
	{ 0xe78603a4, "netif_tx_wake_queue" },
	{ 0x74616095, "usb_get_from_anchor" },
	{ 0x1c4e1f9c, "usb_autopm_get_interface_no_resume" },
	{ 0xbc807fe2, "skb_put" },
	{ 0xebd9214d, "usb_clear_halt" },
	{ 0xd6af621c, "eth_mac_addr" },
	{ 0xa2e4e443, "eth_validate_addr" },
	{ 0x80848117, "dev_get_tstats64" },
	{ 0x41acbf1e, "ethtool_op_get_ts_info" },
	{ 0x92e11b0d, "param_ops_int" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "A12581BF32F5EC08990C3D3");
MODULE_INFO(rhelversion, "9.7");
