#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xefe495d6, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xc4f8eea7, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xb5db2867, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x10cd7a8f, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xb0c1fdad, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xd64a865a, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xda423b03, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x88cc16e5, "");
SYMBOL_CRC(nvdimm_region_notify, 0xa2e9c500, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x9ece4542, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xa6c2b661, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x8d783eda, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xda02d194, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x5bab1ca8, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xaec652ea, "");
SYMBOL_CRC(nd_device_unregister, 0x02dfd030, "");
SYMBOL_CRC(__nd_driver_register, 0xd235294a, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x6da90424, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xe9462533, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x490c8403, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x66691a92, "_gpl");
SYMBOL_CRC(to_ndd, 0xf7d04d6d, "");
SYMBOL_CRC(nvdimm_name, 0xfbec6e07, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xbdd4f17d, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x89eb99c2, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xdf3878b9, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x0c9377b8, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x55695998, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x22f1603c, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xaf346ba0, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xe539120e, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xf4e65898, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x2786812b, "_gpl");
SYMBOL_CRC(to_nd_region, 0xad205cc4, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xdc6c1dae, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x21925eb0, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x2b9302e6, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x4dc80480, "");
SYMBOL_CRC(nd_region_release_lane, 0x06091eaa, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xb3d81200, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x6f57841f, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x6cf996ae, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xde982f64, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x55305788, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x2abacb07, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x0f93d1e6, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x0ab5a2eb, "");
SYMBOL_CRC(pmem_sector_size, 0x9f9ac721, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x3f551372, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xacb36ea1, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x9df4fef2, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xe56791dc, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xf0bb8a23, "");
SYMBOL_CRC(devm_namespace_enable, 0x945c796f, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xa1e5724f, "_gpl");
SYMBOL_CRC(badrange_init, 0x6bbc4011, "_gpl");
SYMBOL_CRC(badrange_add, 0x4be6cfd8, "_gpl");
SYMBOL_CRC(badrange_forget, 0x1a45e4fb, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xc4decaf4, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x7929f911, "");
SYMBOL_CRC(is_nd_btt, 0x72e9a350, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x619a66f2, "");
SYMBOL_CRC(nd_btt_version, 0x067871b2, "");
SYMBOL_CRC(nd_btt_probe, 0xd9d89302, "");
SYMBOL_CRC(to_nd_pfn, 0x428ecce5, "");
SYMBOL_CRC(is_nd_pfn, 0xbb35d0e7, "");
SYMBOL_CRC(nd_pfn_validate, 0x8c510eb8, "");
SYMBOL_CRC(nd_pfn_probe, 0x62c0c1e0, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x9a642fac, "_gpl");
SYMBOL_CRC(to_nd_dax, 0xd1aeaac0, "");
SYMBOL_CRC(is_nd_dax, 0x0ee0aa02, "");
SYMBOL_CRC(nd_dax_probe, 0x5570c049, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xcef8bf54, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0xc9e513b2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x5bef39af, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4c8380c2, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x3732d23a, "devm_memremap" },
	{ 0x30fa7f8c, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x385e8237, "badblocks_set" },
	{ 0x4084bc3b, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x237d5b5e, "finish_wait" },
	{ 0xba7ad714, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xe60c47ce, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc2fca3c, "badblocks_exit" },
	{ 0xe72ed1d9, "pcpu_hot" },
	{ 0x1d445e2c, "device_for_each_child" },
	{ 0xddab7b7b, "prepare_to_wait_event" },
	{ 0x3c11e656, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0xebe9b029, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb7f4511a, "__dynamic_dev_dbg" },
	{ 0xfac73539, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4cf2453b, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x472a2771, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x1a2762fd, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc93202fa, "put_device" },
	{ 0x765b76b2, "badblocks_show" },
	{ 0xa499b8f7, "key_type_encrypted" },
	{ 0x9aae418, "_dev_info" },
	{ 0x2733135e, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x481c042a, "perf_pmu_migrate_context" },
	{ 0xcae59c22, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd8b1b232, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xec7a853c, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xab8c3fd7, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x6a0415fe, "__cpuhp_setup_state" },
	{ 0x454d113b, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x69c847ea, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x97bbafc5, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0xad48fd24, "class_create" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xe4dbed27, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x8c86081b, "ida_free" },
	{ 0x33154132, "driver_unregister" },
	{ 0x218347cc, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc77b636, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5e175875, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6e96b43f, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x2150a854, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x149c480f, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xcea49eb9, "__devm_release_region" },
	{ 0xb72a5102, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x7803d7b, "kernfs_put" },
	{ 0xba8237e, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2598b8a2, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xfcbc66b7, "badblocks_check" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0xb4fe38f0, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xa337686e, "badblocks_clear" },
	{ 0x9b880353, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb772c2f, "up_read" },
	{ 0xa48a97, "driver_register" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x3802415, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xaf17ba86, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAA6CCC1747B5FD58AB299");
MODULE_INFO(rhelversion, "9.7");
