#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xcf3ecdc3, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10182858, "nvme_remove_admin_tag_set" },
	{ 0x76ea7b0d, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0xb6e45d8d, "nvme_uninit_ctrl" },
	{ 0x5bef39af, "ida_destroy" },
	{ 0x98588098, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2ded5a5, "nvmf_free_options" },
	{ 0xb3dd325a, "nvmf_subsystem_reset" },
	{ 0x6e696f73, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x237d5b5e, "finish_wait" },
	{ 0x839ac357, "nvme_stop_keep_alive" },
	{ 0x22c27ff2, "blk_mq_complete_request_remote" },
	{ 0x3a7c50b, "dma_unmap_page_attrs" },
	{ 0xed94f88d, "nvme_setup_cmd" },
	{ 0x4144e796, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x5a346aeb, "nvme_alloc_admin_tag_set" },
	{ 0x99acfa94, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xddab7b7b, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xb9f6307d, "nvmf_reg_read32" },
	{ 0x3c11e656, "__wake_up" },
	{ 0xc44d68ea, "nvme_delete_ctrl" },
	{ 0xebe9b029, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4cf2453b, "dev_driver_string" },
	{ 0x4b57949c, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x423d117d, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xfe75ae27, "nvme_remove_io_tag_set" },
	{ 0xa34c822c, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd1c9016d, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6451131c, "nvmf_unregister_transport" },
	{ 0xe13176b7, "blkcg_get_fc_appid" },
	{ 0xc93202fa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7acc4ac9, "nvme_change_ctrl_state" },
	{ 0x9aae418, "_dev_info" },
	{ 0x1d52303f, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd1862732, "nvme_alloc_io_tag_set" },
	{ 0xfb9d7b33, "nvme_fail_nonready_command" },
	{ 0xdd7df105, "kobject_uevent_env" },
	{ 0x10e4249f, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xab8c3fd7, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x3b9c5d6d, "device_create" },
	{ 0x1a0d1ac2, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x6e4e7959, "__blk_rq_map_sg" },
	{ 0x8c86081b, "ida_free" },
	{ 0x470efc99, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7db533be, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xad16088f, "nvmf_connect_admin_queue" },
	{ 0x8d1829f2, "nvme_enable_ctrl" },
	{ 0x56a6a130, "nvme_unquiesce_admin_queue" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6e96b43f, "__init_waitqueue_head" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe058b581, "nvme_unquiesce_io_queues" },
	{ 0x5009c82e, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf1a99e85, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa96528f4, "nvmf_should_reconnect" },
	{ 0xe8af1706, "__dma_sync_single_for_device" },
	{ 0x3f415a7a, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2598b8a2, "device_destroy" },
	{ 0xc567a823, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x2cbc0a24, "nvmf_register_transport" },
	{ 0x3fddb06, "blk_mq_start_request" },
	{ 0xd06e8a91, "nvme_quiesce_io_queues" },
	{ 0xa1f075e1, "blk_mq_tagset_busy_iter" },
	{ 0xa3139010, "nvme_stop_ctrl" },
	{ 0x4a61826e, "dma_unmap_sg_attrs" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0xeb2a729c, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x12ac28c3, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xaa02ae6a, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xef92963d, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x89b9437d, "__nvme_check_ready" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0xca8bad63, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x249c85fe, "nvme_add_ctrl" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "E9658AAA34FF88932A60A80");
MODULE_INFO(rhelversion, "9.7");
