#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0xd0d839d8, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xfd667645, "_gpl");
SYMBOL_CRC(sas_free_task, 0x8ab943d3, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xda4cdfc8, "");
SYMBOL_CRC(sas_resume_ha, 0xe5386c40, "");
SYMBOL_CRC(sas_suspend_ha, 0xebffded3, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x1cad76e2, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x658d015a, "_gpl");
SYMBOL_CRC(sas_register_ha, 0xc9abde2f, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x1e32a2af, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xaa7e0daa, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xa5cdfb37, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x016ccb11, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x1eb3b909, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xf5189b07, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xe3d0aae1, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x32552013, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x30d86a5e, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x6ffb8590, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xc9e159e2, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xf70c8b92, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x5a71f601, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xbcd6ea19, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xc7a7fe50, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x16cfcd87, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xeaed9249, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xf93c879f, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x6c53131b, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x41669b29, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x5c61f1c9, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a5575fc, "ata_qc_complete" },
	{ 0x58543329, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5881a79b, "sas_rphy_remove" },
	{ 0xbab2d824, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x5ebbc70a, "ata_sas_port_destroy" },
	{ 0xa13e1660, "bsg_job_done" },
	{ 0x766fad3e, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xdb5e41bb, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xe2be1ec4, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x237d5b5e, "finish_wait" },
	{ 0x6d7e8443, "scsi_schedule_eh" },
	{ 0x3a8fb994, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xc3064486, "ata_host_init" },
	{ 0xd91d6011, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d44a37b, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x5749ff45, "sas_port_get_phy" },
	{ 0x6d6a6449, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe72ed1d9, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xddab7b7b, "prepare_to_wait_event" },
	{ 0x3c11e656, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x779b4ede, "kmem_cache_create" },
	{ 0xebe9b029, "get_device" },
	{ 0x57d17ede, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xe42b92a0, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc93202fa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x63c5e862, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x423d4936, "kmem_cache_alloc" },
	{ 0x9aae418, "_dev_info" },
	{ 0x7b715788, "sas_phy_free" },
	{ 0x3ca1ad7f, "scsi_eh_finish_cmd" },
	{ 0x689f4fcf, "ata_sas_port_alloc" },
	{ 0xa3d2e28e, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0xe5f5dfa8, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x83b0eac9, "sas_port_mark_backlink" },
	{ 0x5f4e262a, "kmem_cache_free" },
	{ 0x410b3759, "ata_std_qc_defer" },
	{ 0xdf001f88, "ata_sas_port_start" },
	{ 0x61e7bbfc, "ata_scsi_port_error_handler" },
	{ 0xbb431017, "ata_change_queue_depth" },
	{ 0xb6b2206f, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5cb27fa4, "sas_end_device_alloc" },
	{ 0x3a3f0b1d, "mutex_lock_interruptible" },
	{ 0x2427bb48, "sas_read_port_mode_page" },
	{ 0x7d980b67, "sas_expander_alloc" },
	{ 0x68da9813, "ata_sas_port_stop" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0xc34d964, "sas_rphy_delete" },
	{ 0x186c98a8, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3494b08b, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6e96b43f, "__init_waitqueue_head" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xd1ac6b8e, "scsi_host_busy" },
	{ 0x5395cb93, "ata_sas_async_probe" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x27c52bf4, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x70b0a72, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb3b492f9, "ata_sas_port_suspend" },
	{ 0xef717c3c, "sas_rphy_add" },
	{ 0xa45b812d, "sas_port_delete_phy" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8256750a, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbac5c722, "sas_port_add_phy" },
	{ 0x8be21fac, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x7aae78de, "scsi_unblock_requests" },
	{ 0x26e3c884, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xc51c4c1f, "ata_host_put" },
	{ 0x351002db, "sas_port_free" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0x9e21a4c3, "ata_std_sched_eh" },
	{ 0xd899672c, "scsi_block_requests" },
	{ 0x4dd22043, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xe319e3ba, "sas_remove_children" },
	{ 0x72b86376, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1948b6bc, "ata_port_wait_eh" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0xb21c35a9, "kmem_cache_destroy" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.7");
