#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0xcf62e1b1, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x87dd97b2, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x2c6fc12b, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0xbd8ee1be, "_gpl");
SYMBOL_CRC(ucsi_resume, 0xaec62609, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x45834bb3, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x1351a8f4, "_gpl");
SYMBOL_CRC(ucsi_create, 0xf054b3ad, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0xcc766144, "_gpl");
SYMBOL_CRC(ucsi_register, 0x56b79e66, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xcc36640a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x364ae747, "typec_partner_set_pd_revision" },
	{ 0xf7dfea13, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x65fdb453, "typec_register_partner" },
	{ 0xe99e5c3f, "typec_port_set_usb_power_delivery" },
	{ 0xd6a07643, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f1f003a, "typec_port_register_altmode" },
	{ 0x967878b9, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a81b30e, "trace_raw_output_prep" },
	{ 0xb6de5488, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xaf4ec24a, "trace_event_printf" },
	{ 0xfc5b10a, "trace_event_raw_init" },
	{ 0x35e7bbce, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xe72ed1d9, "pcpu_hot" },
	{ 0xb91cfbb1, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9e352024, "bpf_trace_run2" },
	{ 0xa433e14a, "event_triggers_call" },
	{ 0xc9e614e5, "typec_set_mode" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb7f4511a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x619d006d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x862f7226, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x709dacbd, "trace_event_ignore_this_pid" },
	{ 0x32c8bc69, "typec_partner_register_altmode" },
	{ 0x4e36a8cf, "typec_partner_set_num_altmodes" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x769076b8, "typec_unregister_partner" },
	{ 0x39711e96, "typec_set_pwr_opmode" },
	{ 0x6a413f9, "typec_cable_set_identity" },
	{ 0x61d3196a, "debugfs_attr_read" },
	{ 0xf97611f0, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2fefa42d, "perf_trace_run_bpf_submit" },
	{ 0xab8c3fd7, "_dev_err" },
	{ 0xb3d6c6ea, "typec_partner_set_usb_mode" },
	{ 0xd43a4933, "typec_altmode_update_active" },
	{ 0x63f2a988, "device_property_read_u8_array" },
	{ 0x22ecac08, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x41ab431a, "usb_power_delivery_register_capabilities" },
	{ 0xc093dd30, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xb63dc867, "debugfs_remove" },
	{ 0x867fa477, "usb_power_delivery_unregister" },
	{ 0x3b688d93, "trace_event_reg" },
	{ 0xe6cca4a8, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xec077a7e, "typec_unregister_port" },
	{ 0x3dcd78d2, "power_supply_get_drvdata" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0x818b9e9, "typec_register_port" },
	{ 0x949f67d8, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x88ec1f90, "typec_partner_set_usb_power_delivery" },
	{ 0x79a9f6c6, "power_supply_changed" },
	{ 0x9df34f6b, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3542c1c0, "typec_plug_register_altmode" },
	{ 0x75a79f88, "devm_kasprintf" },
	{ 0xe4acf4b, "seq_read" },
	{ 0x7cb69548, "trace_event_buffer_reserve" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2faef5d, "typec_unregister_altmode" },
	{ 0xf1595015, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76d07a1c, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x29ba308e, "usb_power_delivery_unregister_capabilities" },
	{ 0x1f5df558, "typec_get_drvdata" },
	{ 0xf893f7dc, "debugfs_create_file_full" },
	{ 0x82b55531, "typec_partner_set_identity" },
	{ 0x8bc3853a, "power_supply_unregister" },
	{ 0x1b376c75, "single_release" },
	{ 0x73c442eb, "typec_set_pwr_role" },
	{ 0x4510f875, "typec_partner_usb_power_delivery_register" },
	{ 0xee7e8e31, "dev_err_probe" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0xf5659de7, "usb_debug_root" },
	{ 0xc0a0692a, "device_get_next_child_node" },
	{ 0x1a712e40, "single_open" },
	{ 0x272bacd6, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x250b2662, "__dev_fwnode" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "50C9978E6089B28C55CFFFE");
MODULE_INFO(rhelversion, "9.7");
