#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xc4f16b2a, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x8067d0da, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x10c7e6ad, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x57945259, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0xaab08e50, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x9b94a238, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x56fe2717, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x86264bc1, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x97a83d89, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0xa69dde56, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0xd2edeed8, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xacac81ba, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x03862423, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x7c974fdd, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x7a427644, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0xaf064341, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xc124a269, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x4ed327ea, "");
SYMBOL_CRC(vhost_chr_poll, 0xafb9f83a, "");
SYMBOL_CRC(vhost_chr_read_iter, 0xdbab591a, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xb844a740, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x8e5aa1bf, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xec486bf1, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x3d043ad5, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x98c9d7da, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x1fe241c4, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x48effdc2, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0xc6b29212, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0xfbf2be65, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0xb39d37a4, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x4c85f7bb, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x0f8c4a87, "_gpl");
SYMBOL_CRC(vhost_signal, 0xde6f2048, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0xd95df2c5, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x81e298f5, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x07e0c0a9, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x0d4d0d41, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x07cf25da, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x8b07e4b3, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x0ea146a0, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0xc0424206, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xe1e34964, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe72ed1d9, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21dd069d, "add_wait_queue" },
	{ 0x5c0aada1, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xcb975700, "cgroup_attach_task_all" },
	{ 0x616aef53, "mmput" },
	{ 0xd4f4f395, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x3c11e656, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9a8f1c22, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x42385e4f, "unpin_user_pages_dirty_lock" },
	{ 0xea51e956, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x76f091fe, "kthread_use_mm" },
	{ 0x7c630381, "__tracepoint_sched_set_state_tp" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1000e51, "schedule" },
	{ 0xa264ff7d, "kthread_unuse_mm" },
	{ 0x7628cb38, "kmalloc_caches" },
	{ 0x867b37fe, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xf1abde02, "fput" },
	{ 0x49fc824e, "kthread_stop" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x23a5a7d1, "iov_iter_init" },
	{ 0x9d267e82, "_copy_from_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfacf7082, "iov_iter_revert" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x868b958d, "_copy_to_iter" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x6e96b43f, "__init_waitqueue_head" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xadb7dc69, "prepare_to_wait" },
	{ 0x237d5b5e, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4ae806db, "get_task_mm" },
	{ 0xbd7f131c, "kthread_create_on_node" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xf7347d67, "iov_iter_advance" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x97c05a1c, "eventfd_fget" },
	{ 0x92e11b0d, "param_ops_int" },
	{ 0xd7bba6b4, "param_ops_ushort" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.7");
