#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0xa1a93a93, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x5c7489c5, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x3bb743fd, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x6c39fafa, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xf1af20a6, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0xe9a66967, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x7ffb7564, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0xa1190b8f, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x554538be, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x514f16ed, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x1c3703d5, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0xdfe24b3f, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x3a59d0da, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xbb7bb268, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x6a2899e9, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0xdc7d9f36, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x1313ab45, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c8c83b, "gpiod_get_value_cansleep" },
	{ 0xc397cc71, "spi_bus_unlock" },
	{ 0xbb675a9, "regcache_cache_only" },
	{ 0x96068880, "regcache_sync" },
	{ 0xf8896f4e, "regmap_write" },
	{ 0x4f4808c6, "devm_request_threaded_irq" },
	{ 0x9e78368f, "cs_amp_get_efi_calibration_data" },
	{ 0x13d7088a, "regmap_raw_read" },
	{ 0xc7b4cb5d, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb7f4511a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x36728959, "gpiod_get_array_optional" },
	{ 0xd427b585, "spi_bus_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf71a4de0, "device_property_read_u32_array" },
	{ 0x9aae418, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xeceb3aa7, "regmap_multi_reg_write_bypassed" },
	{ 0xab8c3fd7, "_dev_err" },
	{ 0x5d3193d6, "gpiod_put_array" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xfe73b73f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3c7c9ab, "regmap_read_bypassed" },
	{ 0x22a34b9b, "regmap_read" },
	{ 0xb96083f8, "__pm_runtime_resume" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x805a50ae, "spi_sync_locked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x97f2efd, "_dev_crit" },
	{ 0xf398a487, "regmap_update_bits_base" },
	{ 0xee7e8e31, "dev_err_probe" },
	{ 0xed714418, "__pm_runtime_suspend" },
	{ 0xbaab826, "regmap_register_patch" },
	{ 0x72b04e55, "__pm_runtime_idle" },
	{ 0xba25380c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "3B2F79490682D3BFFD3C821");
MODULE_INFO(rhelversion, "9.7");
